import { Floor, Poi2 } from "../../elements";
import { BMap } from "../../bmap";
import { Plugin } from "../base";
import { Group } from "three";
import { PlaceConfig } from "../../loader";
export declare class MulFloors extends Plugin {
    floors: Floor[];
    group: Group<import("three").Object3DEventMap>;
    showStatus: boolean;
    constructor(bmap: BMap);
    show(floors: Floor[], placeConfig?: Partial<PlaceConfig>): void;
    showStep(floors: Floor[], placeConfig?: Partial<PlaceConfig>): void;
    hide(): void;
    showByNotDispose(floors: Floor[], placeConfig?: Partial<PlaceConfig>, poiFilter?: (poi: Poi2) => boolean): void;
    hideByNotDispose(): void;
    fitCamera(): void;
    dispose(): void;
}
